clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::CheapUnresolvedName Struct Reference
Collaboration diagram for clang::clangd::CheapUnresolvedName:
[legend]

## Public Attributes
std::string | Name
llvm::Optional< std::string > | ResolvedScope
llvm::Optional< std::string > | UnresolvedScope

## Detailed Description

Definition at line 216 of file clangd/IncludeFixer.cpp.

## Member Data Documentation

## ◆ Name

std::string clang::clangd::CheapUnresolvedName::Name

Definition at line 217 of file clangd/IncludeFixer.cpp.

## ◆ ResolvedScope

llvm::Optional<std::string> clang::clangd::CheapUnresolvedName::ResolvedScope

Definition at line 221 of file clangd/IncludeFixer.cpp.

## ◆ UnresolvedScope

llvm::Optional<std::string> clang::clangd::CheapUnresolvedName::UnresolvedScope

Definition at line 226 of file clangd/IncludeFixer.cpp.

The documentation for this struct was generated from the following file:

- clangd/IncludeFixer.cpp